swSigma0 {oce} | R Documentation

## Seawater potential density anomaly reference to standardized pressures

### Description

Compute sigma, the potential density of seawater (minus 1000 kg/m^3), referenced to various pressures, i.e `swSigma0` is referenced to the surface and is thus identical to `swSigmaTheta`, while `swSigma1` is referenced to 1000dbar, `swSigma2` is referenced to 2000dbar, `swSigma2` is referenced to 3000dbar, and `swSigma4` is referenced to 4000dbar.

### Usage

    swSigma0(salinity, temperature, pressure,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))
    swSigma1(salinity, temperature, pressure,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))
    swSigma2(salinity, temperature, pressure,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))
    swSigma3(salinity, temperature, pressure,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))
    swSigma4(salinity, temperature, pressure,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either practial salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`).
`latitude` | latitude of observation (only used if `eos="gsw"`).
`eos` | equation of state, either `"unesco"` [1,2] or `"gsw"`.

### Details

If the first argument is a `ctd` object or `section` object, then salinity, etc., values are extracted from it, and used for the calculation.

Definition: sigma_0=sigma_theta=rho(S,theta(S,t,p),0) - 1000 kg/m^3.

### Value

Potential density anomaly [kg/m^3].

### Author(s)

Dan Kelley

### References

See citations provided in the `swRho` documentation.

### See Also

Related density routines include: `swSigmaTheta`, which these functions employ, and also `swRho`, and (mostly for historical use) `swSigmaT`.

### Examples

    swSigmaTheta(35, 13, 1000)
    swSigma0(35, 13, 1000)
    swSigma1(35, 13, 1000)
    swSigma2(35, 13, 1000)
    swSigma3(35, 13, 1000)

[Package oce version 0.9-18 Index]